diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/templates/cast/js/casts.js b/web/pgadmin/browser/server_groups/servers/databases/casts/templates/cast/js/casts.js
index 690a6d5..0ec6ffe 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/templates/cast/js/casts.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/templates/cast/js/casts.js
@@ -211,8 +211,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
                    try {
                      var err = $.parseJSON(xhr.responseText);
                      if (err.success == 0) {
-                       msg = S('{{ _(' + err.errormsg + ')}}').value();
-                       alertify.error("{{ _('" + err.errormsg + "') }}");
+                       alertify.error(err.errormsg);
                      }
                    } catch (e) {}
                  }
@@ -306,4 +305,4 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
 
   }
     return pgBrowser.Nodes['coll-cast'];
-});
\ No newline at end of file
+});
diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/js/databases.js b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/js/databases.js
index a6bfb90..0408a52 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/js/databases.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/js/databases.js
@@ -151,13 +151,18 @@ function($, _, S, pgAdmin, pgBrowser, Alertify) {
                     t.unload(i);
                     t.setInode(i);
                   }
+                  else {
+                    try {
+                      Alertify.error(res.errormsg);
+                    } catch (e) {}
+                    t.unload(i);
+                  }
                 },
                 error: function(xhr, status, error) {
                   try {
                     var err = $.parseJSON(xhr.responseText);
                     if (err.success == 0) {
-                      msg = S('{{ _(' + err.errormsg + ')}}').value();
-                      Alertify.error("{{ _('" + err.errormsg + "') }}");
+                      Alertify.error(err.errormsg);
                     }
                   } catch (e) {}
                   t.unload(i);
diff --git a/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js b/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
index f7e093b..5423e98 100644
--- a/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
+++ b/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
@@ -87,7 +87,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
                 type:'DELETE',
                 success: function(res) {
                   if (res.success == 1) {
-                    alertify.success("{{ _('" + res.info + "') }}");
+                    alertify.success(res.info);
                     d = t.itemData(i);
                     t.removeIcon(i);
                     d.connected = false;
@@ -99,13 +99,18 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
                     }
                     obj.trigger('server-disconnected', obj, i, d);
                   }
+                  else {
+                    try {
+                        alertify.error(res.errormsg);
+                    } catch (e) {}
+                    t.unload(i);
+                  }
                 },
                 error: function(xhr, status, error) {
                   try {
                     var err = $.parseJSON(xhr.responseText);
                     if (err.success == 0) {
-                      msg = S('{{ _(' + err.errormsg + ')}}').value();
-                      alertify.error("{{ _('" + err.errormsg + "') }}");
+                      alertify.error(err.errormsg);
                     }
                   } catch (e) {}
                   t.unload(i);
